<script type="text/javascript">
$(document).ready(function() {
    $(function() {
        $("#theList.detail tr:even").addClass("stripe1");
        $("#theList.detail tr:odd").addClass("stripe2");

        $("#theList.detail tr").hover(
            function() {
                $(this).toggleClass("highlight");
            },
            function() {
                $(this).toggleClass("highlight");
            }
        );
    });	
});

	function edit_data(ID){
		var kode = ID;
						
		$.ajax({
			type	: "POST",
			url		: "modul/piutang_dg/cari_fak.php",
			data	: "kode="+kode,
			dataType: "json",
			success	: function(data){
				$("#txt_nofak").val(kode);
				$("#txt_tanggal").val(data.tanggal);				
				$("#txt_jumlah").val(data.jumlah);
				$("#txt_tanggaljt").val(data.tanggaljt);
			}
		});
	}

	function hapus_data(ID){
		var pilih = confirm('Piutang yang akan dihapus no.faktur = '+ID+ '?');
		if (pilih==true) {
		var kode = ID;
		$.ajax({
			type	: "POST",
			url		: "modul/piutang_dg/hapus.php",
			data	: "kode="+kode,
			success	: function(data){
				$("#info").html(data);
				tampil_detail();
			}
		});
		}
	}
	
	function tampil_detail(){
		var kode = $("#txt_kodepl").val();
		$("#data_detail").load("modul/piutang_dg/tampil_data_detail.php?kode="+kode);
	}
</script>

<?php
include '../../inc/inc.koneksi.php';
include '../../inc/fungsi_tanggal.php';

$kode	= $_GET['kode'];
echo "<table id='theList' class='detail' width='100%'>
		<tr>
			<th>No.</th>
			<th>Nomor Faktur</th>
			<th>Tanggal Faktur</th>			
			<th>Jumlah Nominal</th>
			<th>Tanggal Jt.Tempo</th>
			<th>Aksi</th>
		</tr>";
		$sql = "SELECT * FROM piutang WHERE kode_pl='$kode' ORDER BY tanggal";
						
		$query = mysql_query($sql);		
		$no=1;
		$total=0;
		while($r_data=mysql_fetch_array($query)){			
			$total	= $total+$r_data['jumlah'];
			
			echo "<tr>
					<td align='center'>$no</td>
					<td align='center'>$r_data[nofak]</td>
					<td align='center'>".jin_date_str($r_data['tanggal'])."</td>
					<td align='right'>".number_format($r_data['jumlah'],0)."</td>
					<td align='center'>".jin_date_str($r_data['tanggal_jt'])."</td>
					<td align='center'>
						<a href='javascript:void(0)' onClick=\"edit_data('$r_data[nofak]')\">
						<img src='icon/thumb_up.png' border='0' id='edit' title='Edit' width='12' height='12' ></a>
						<a href='javascript:void(0)' onClick=\"hapus_data('$r_data[nofak]')\">
						<img src='icon/thumb_down.png' border='0' id='hapus' title='Hapus' width='12' height='12' ></a>					
					</td>
				</tr>";
			$no++;
		}
	echo "<tr>		
			<td></td>
			<td></td>
			<td align='right'>Total</td>
			<td align='right'>".number_format($total,0)."</td>			
		</tr>";
	echo "</table>";
?>